[package]
name = "libsyd"
version = "3.12.0"
edition = "2021"
authors = ["Ali Polatel <alip@chesswob.org>"]
description = "Rust-based C library for syd interaction via /dev/syd"
readme = "README.md"
license = "LGPL-3.0"
categories = ["os::linux-apis", "security"]
keywords = ["security", "sandbox"]
homepage = "https://libsyd.exherbo.org"
repository = "https://git.sr.ht/~alip/syd"
rust-version = "1.56.1" # remember to update README.md

[lib]
name = "syd"
crate-type = ["staticlib", "cdylib"]

[[test]]
name = "tests"

[dev-dependencies]
pkg-config = { version = "0.3", default-features = false }
